karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Schneider (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (KARAF-4358) Spring feature forces the wrong jta version. Can cause an error if it is installed before transaction
Date Wed, 24 Feb 2016 09:57:18 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4358?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Christian Schneider resolved KARAF-4358.
----------------------------------------
    Resolution: Fixed

> Spring feature forces the wrong jta version. Can cause an error if it is installed before
transaction
> -----------------------------------------------------------------------------------------------------
>
>                 Key: KARAF-4358
>                 URL: https://issues.apache.org/jira/browse/KARAF-4358
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-feature
>    Affects Versions: 4.0.4
>            Reporter: Christian Schneider
>            Assignee: Christian Schneider
>             Fix For: 4.1.0, 4.0.5
>
>
> To reproduce execute:
> feature:install spring-tx
> feature:install transaction
> Both jta 1.1 and 1.2 bundles will be installed. This causes aries transaction to hang
on startup as it does not find the transaction manager service.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message